=== modified file 'ivle/webapp/base/ivle-headings.html'
--- ivle/webapp/base/ivle-headings.html	2009-07-05 05:58:24 +0000
+++ ivle/webapp/base/ivle-headings.html	2009-07-05 06:22:08 +0000
@@ -45,6 +45,13 @@
               <img src="${title_img}" alt="Informatics Virtual Learning Environment" />
             </a>
           </span>
+          <py:for each="ancestor in ancestry">
+          <span class="breadcrumb" py:if="breadcrumb_text(ancestor)">
+            <a href="${url(ancestor)}">
+              ${breadcrumb_text(ancestor)}
+            </a>
+          </span>
+          </py:for>
         </div>
         <div id="ivleheader_text">
           <py:choose>

=== modified file 'ivle/webapp/base/xhtml.py'
--- ivle/webapp/base/xhtml.py	2009-07-05 05:56:01 +0000
+++ ivle/webapp/base/xhtml.py	2009-07-05 06:22:08 +0000
@@ -93,6 +93,9 @@
         ctx['app_template'] = app
         ctx['title_img'] = media_url(req, CorePlugin,
                                      "images/chrome/root-breadcrumb.png")
+        ctx['ancestry'] = req.router.get_ancestors(self.context)
+        ctx['breadcrumb_text'] = lambda x: x # TODO: Do it properly.
+        ctx['url'] = req.router.generate
         self.populate_headings(req, ctx)
         tmpl = loader.load(os.path.join(os.path.dirname(__file__), 
                                                         'ivle-headings.html'))

